bitel.billing.server.cerbercrypt.bean

## Class CardPacket

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.cerbercrypt.common.bean.CardPacket
    - - bitel.billing.server.cerbercrypt.bean.CardPacket

- All Implemented Interfaces:
    java.io.Serializable, Idable

  Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.common.bean.CardPacket

      @Deprecated
      public class CardPacket
      extends CardPacket

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.modules.cerbercrypt.common.bean.CardPacket

      `CardPacket.CardPacketComparator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.cerbercrypt.common.bean.CardPacket

      `STATUS_ACTIVE, STATUS_LOCKED, STATUS_SUSPEND`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardPacket()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCardId()` Deprecated.
    `java.util.Calendar` | `getDate1()` Deprecated.
    `java.util.Calendar` | `getDate2()` Deprecated.
    `void` | `setCardId(int userCardId)` Deprecated.
    `void` | `setDate1(java.util.Calendar date1)` Deprecated.
    `void` | `setDate2(java.util.Calendar date2)` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.modules.cerbercrypt.common.bean.CardPacket

      `getCardNumber, getChange_date, getComment, getContractId, getCost, getDateFrom, getDateTo, getPacketId, getPacketTitle, getStatus, getStringStatus, getStringStatus, getUsercardId, setCardNumber, setChange_date, setComment, setContractId, setCost, setDateFrom, setDateTo, setPacketId, setPacketTitle, setStatus, setUsercardId, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CardPacket

          public CardPacket()

      Deprecated.

  - ### Method Detail

    - #### getDate1

          public java.util.Calendar getDate1()

      Deprecated.

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

      Deprecated.

    - #### getDate2

          public java.util.Calendar getDate2()

      Deprecated.

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

      Deprecated.

    - #### getCardId

          public int getCardId()

      Deprecated.

    - #### setCardId

          public void setCardId(int userCardId)

      Deprecated.